<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3039
Name: Klinische Parameter
Description: Klinische Parameter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3039-2017-07-01T000000">
   <title>Klinische Parameter</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]
Item: (ClinicalInformation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]"
         id="d127e1515-false-d21210e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(ClinicalInformation): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(ClinicalInformation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3039'])&gt;=1">(ClinicalInformation): Element hl7:templateId[@root='1.2.276.0.76.10.3039'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3039'])&lt;=1">(ClinicalInformation): Element hl7:templateId[@root='1.2.276.0.76.10.3039'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(ClinicalInformation): Element hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(ClinicalInformation): Element hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(ClinicalInformation): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(ClinicalInformation): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(ClinicalInformation): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(ClinicalInformation): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]])&lt;=1">(ClinicalInformation): Element hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4262']]])&lt;=1">(ClinicalInformation): Element hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4262']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]])&lt;=1">(ClinicalInformation): Element hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:templateId[@root='1.2.276.0.76.10.3039']
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:templateId[@root='1.2.276.0.76.10.3039']"
         id="d127e1521-false-d21405e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3039')">(ClinicalInformation): Der Wert von @root MUSS '1.2.276.0.76.10.3039' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e1526-false-d21423e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="@nullFlavor or (@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')">(ClinicalInformation): Der Elementinhalt MUSS einer von 'code '55752-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:title[not(@nullFlavor)]
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:title[not(@nullFlavor)]"
         id="d127e1531-false-d21443e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="text()='Klinische Parameter'">(ClinicalInformation): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Klinische Parameter'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:text[not(@nullFlavor)]
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:text[not(@nullFlavor)]"
         id="d127e1538-false-d21461e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]
Item: (ClinicalInformation)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="string(@typeCode)=('DRIV')">(ClinicalInformation): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(ClinicalInformation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4262']]]
Item: (ClinicalInformation)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4262']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="string(@typeCode)=('DRIV')">(ClinicalInformation): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(ClinicalInformation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]
Item: (ClinicalInformation)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="string(@typeCode)=('DRIV')">(ClinicalInformation): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3039-2017-07-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(ClinicalInformation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>
</pattern>
