<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3042
Name: Wichtige Angaben
Description: Wichtige Angaben/Hinweise
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3042-2014-11-01T000000">
   <title>Wichtige Angaben</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3042
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]
Item: (Instructions)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3042
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]
Item: (Instructions)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]"
         id="d127e2065-false-d24323e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Instructions): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(Instructions): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3042'])&gt;=1">(Instructions): Element hl7:templateId[@root='1.2.276.0.76.10.3042'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3042'])&lt;=1">(Instructions): Element hl7:templateId[@root='1.2.276.0.76.10.3042'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="count(hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Instructions): Element hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="count(hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Instructions): Element hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Instructions): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Instructions): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Instructions): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Instructions): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3042
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]/hl7:templateId[@root='1.2.276.0.76.10.3042']
Item: (Instructions)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]/hl7:templateId[@root='1.2.276.0.76.10.3042']"
         id="d127e2071-false-d24389e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Instructions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3042')">(Instructions): Der Wert von @root MUSS '1.2.276.0.76.10.3042' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3042
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]/hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Instructions)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]/hl7:code[(@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2076-false-d24407e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Instructions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="@nullFlavor or (@code='69730-0' and @codeSystem='2.16.840.1.113883.6.1')">(Instructions): Der Elementinhalt MUSS einer von 'code '69730-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3042
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]/hl7:title[not(@nullFlavor)]
Item: (Instructions)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]/hl7:title[not(@nullFlavor)]"
         id="d127e2086-false-d24427e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Instructions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="text()='Wichtige Angaben'">(Instructions): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Wichtige Angaben'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3042
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]/hl7:text[not(@nullFlavor)]
Item: (Instructions)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3042']]/hl7:text[not(@nullFlavor)]"
         id="d127e2093-false-d24445e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3042-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Instructions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
