<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3102
Name: Privacy Consent Section
Description: Privacy Consent Section / Abschnitt Einverständniserklärung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3102-2017-04-30T000000">
   <title>Privacy Consent Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3102
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]
Item: (PrivacyConsentSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3102
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]
Item: (PrivacyConsentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]"
         id="d127e2216-false-d24938e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(PrivacyConsentSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PrivacyConsentSection): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(PrivacyConsentSection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PrivacyConsentSection): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3102'])&gt;=1">(PrivacyConsentSection): Element hl7:templateId[@root='1.2.276.0.76.10.3102'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3102'])&lt;=1">(PrivacyConsentSection): Element hl7:templateId[@root='1.2.276.0.76.10.3102'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="count(hl7:id)&lt;=1">(PrivacyConsentSection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="count(hl7:code)&lt;=1">(PrivacyConsentSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="count(hl7:title)&lt;=1">(PrivacyConsentSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="count(hl7:text)&lt;=1">(PrivacyConsentSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3102
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:templateId[@root='1.2.276.0.76.10.3102']
Item: (PrivacyConsentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:templateId[@root='1.2.276.0.76.10.3102']"
         id="d127e2222-false-d25059e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrivacyConsentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3102')">(PrivacyConsentSection): Der Wert von @root MUSS '1.2.276.0.76.10.3102' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrivacyConsentSection): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3102
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:id
Item: (PrivacyConsentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:id"
         id="d127e2227-false-d25080e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrivacyConsentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3102
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:code
Item: (PrivacyConsentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:code"
         id="d127e2229-false-d25094e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrivacyConsentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="@nullFlavor or (@code='64292-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Release of information consent')">(PrivacyConsentSection): Der Elementinhalt MUSS einer von 'code '64292-6' codeSystem '2.16.840.1.113883.6.1' displayName='Release of information consent'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3102
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:title
Item: (PrivacyConsentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:title"
         id="d127e2235-false-d25114e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrivacyConsentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3102
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:text
Item: (PrivacyConsentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:text"
         id="d127e2237-false-d25128e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrivacyConsentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3102
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]
Item: (PrivacyConsentSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3102']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="string(@typeCode)=('COMP')">(PrivacyConsentSection): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PrivacyConsentSection): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PrivacyConsentSection): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.3102-2017-04-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PrivacyConsentSection): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
