<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4016
Name: Körpergewicht
Description: Körpergewicht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4016-2014-11-01T000000">
   <title>Körpergewicht</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]
Item: (BodyWeight)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]"
         id="d127e2279-false-d25237e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="string(@classCode)=('OBS')">(BodyWeight): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(BodyWeight): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(BodyWeight): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(BodyWeight): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4016'])&gt;=1">(BodyWeight): Element hl7:templateId[@root='1.2.276.0.76.10.4016'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4016'])&lt;=1">(BodyWeight): Element hl7:templateId[@root='1.2.276.0.76.10.4016'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:code[(@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(BodyWeight): Element hl7:code[(@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:code[(@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(BodyWeight): Element hl7:code[(@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:text)&lt;=1">(BodyWeight): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(BodyWeight): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(BodyWeight): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:value)&gt;=1">(BodyWeight): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:value)&lt;=1">(BodyWeight): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:templateId[@root='1.2.276.0.76.10.4016']
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:templateId[@root='1.2.276.0.76.10.4016']"
         id="d127e2285-false-d25324e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4016')">(BodyWeight): Der Wert von @root MUSS '1.2.276.0.76.10.4016' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(BodyWeight): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:id
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:id"
         id="d127e2290-false-d25345e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:code[(@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:code[(@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2292-false-d25359e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="@nullFlavor or (@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1')">(BodyWeight): Der Elementinhalt MUSS einer von 'code '29463-7' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:text
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:text"
         id="d127e2298-false-d25379e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:reference)&gt;=1">(BodyWeight): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:reference)&lt;=1">(BodyWeight): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:text/hl7:reference
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:text/hl7:reference"
         id="d127e2303-false-d25405e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e2306-false-d25419e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="@nullFlavor or (@code='completed')">(BodyWeight): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:value
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4016']]/hl7:value"
         id="d127e2311-false-d25439e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(@nullFlavor or (@unit='kg'))">(BodyWeight): value MUSS die Einheit 'kg' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="$digitok or @nullFlavor">(BodyWeight): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BodyWeight): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
