<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4017
Name: Kreatinin
Description: Kreatinin 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4017-2014-11-01T000000">
   <title>Kreatinin</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4017
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]
Item: (Creatinine)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4017
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]
Item: (Creatinine)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]"
         id="d127e2351-false-d25487e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="string(@classCode)=('OBS')">(Creatinine): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(Creatinine): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4017'])&gt;=1">(Creatinine): Element hl7:templateId[@root='1.2.276.0.76.10.4017'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4017'])&lt;=1">(Creatinine): Element hl7:templateId[@root='1.2.276.0.76.10.4017'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:code[(@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Creatinine): Element hl7:code[(@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:code[(@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Creatinine): Element hl7:code[(@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Creatinine): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Creatinine): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Creatinine): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Creatinine): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:value)&gt;=1">(Creatinine): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:value)&lt;=1">(Creatinine): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4017
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:templateId[@root='1.2.276.0.76.10.4017']
Item: (Creatinine)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:templateId[@root='1.2.276.0.76.10.4017']"
         id="d127e2357-false-d25571e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Creatinine): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4017')">(Creatinine): Der Wert von @root MUSS '1.2.276.0.76.10.4017' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4017
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:id
Item: (Creatinine)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:id"
         id="d127e2362-false-d25589e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Creatinine): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4017
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:code[(@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Creatinine)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:code[(@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2364-false-d25603e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Creatinine): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="@nullFlavor or (@code='2160-0' and @codeSystem='2.16.840.1.113883.6.1')">(Creatinine): Der Elementinhalt MUSS einer von 'code '2160-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4017
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:text[not(@nullFlavor)]
Item: (Creatinine)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:text[not(@nullFlavor)]"
         id="d127e2370-false-d25623e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Creatinine): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Creatinine): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Creatinine): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4017
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Creatinine)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d127e2372-false-d25649e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Creatinine): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="string(@value)=('#skrea')">(Creatinine): Der Wert von @value MUSS '#skrea' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4017
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Creatinine)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e2381-false-d25667e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Creatinine): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="@nullFlavor or (@code='completed')">(Creatinine): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4017
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:value
Item: (Creatinine)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4017']]/hl7:value"
         id="d127e2386-false-d25687e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Creatinine): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="(@nullFlavor or (@unit='mg/dl'))">(Creatinine): value MUSS die Einheit 'mg/dl' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="$digitok or @nullFlavor">(Creatinine): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4017-2014-11-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Creatinine): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
