<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4018
Name: Allergien
Description: Allergie, nur Freitext
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4018-2016-01-31T000000">
   <title>Allergien</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]
Item: (Allergytosubstance)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]"
         id="d127e2423-false-d25735e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="string(@classCode)=('OBS')">(Allergytosubstance): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="string(@moodCode)=('EVN')">(Allergytosubstance): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4018'])&gt;=1">(Allergytosubstance): Element hl7:templateId[@root='1.2.276.0.76.10.4018'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4018'])&lt;=1">(Allergytosubstance): Element hl7:templateId[@root='1.2.276.0.76.10.4018'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(Allergytosubstance): Element hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(Allergytosubstance): Element hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Allergytosubstance): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Allergytosubstance): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Allergytosubstance): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Allergytosubstance): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:templateId[@root='1.2.276.0.76.10.4018']
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:templateId[@root='1.2.276.0.76.10.4018']"
         id="d127e2429-false-d25807e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4018')">(Allergytosubstance): Der Wert von @root MUSS '1.2.276.0.76.10.4018' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:id
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:id"
         id="d127e2434-false-d25825e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d127e2436-false-d25839e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="@nullFlavor or (@code='ALG' and @codeSystem='2.16.840.1.113883.5.4')">(Allergytosubstance): Der Elementinhalt MUSS einer von 'code 'ALG' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:text[not(@nullFlavor)]
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:text[not(@nullFlavor)]"
         id="d127e2442-false-d25859e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Allergytosubstance): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Allergytosubstance): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d127e2447-false-d25885e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="string(@value)=('#alg')">(Allergytosubstance): Der Wert von @value MUSS '#alg' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4018']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e2453-false-d25903e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(Allergytosubstance): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
</pattern>
