<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4020
Name: Schwangerschaft
Description: Patient momentan schwanger
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4020-2014-11-01T000000">
   <title>Schwangerschaft</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]
Item: (Patientcurrentlypregnant)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]"
         id="d127e2851-false-d27242e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="string(@classCode)=('OBS')">(Patientcurrentlypregnant): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(Patientcurrentlypregnant): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4020'])&gt;=1">(Patientcurrentlypregnant): Element hl7:templateId[@root='1.2.276.0.76.10.4020'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4020'])&lt;=1">(Patientcurrentlypregnant): Element hl7:templateId[@root='1.2.276.0.76.10.4020'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(Patientcurrentlypregnant): Element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(Patientcurrentlypregnant): Element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:text)&gt;=1">(Patientcurrentlypregnant): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:text)&lt;=1">(Patientcurrentlypregnant): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Patientcurrentlypregnant): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Patientcurrentlypregnant): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Patientcurrentlypregnant): Element hl7:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Patientcurrentlypregnant): Element hl7:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:templateId[@root='1.2.276.0.76.10.4020']
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:templateId[@root='1.2.276.0.76.10.4020']"
         id="d127e2857-false-d27326e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4020')">(Patientcurrentlypregnant): Der Wert von @root MUSS '1.2.276.0.76.10.4020' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:id
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:id"
         id="d127e2862-false-d27344e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d127e2864-false-d27358e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(Patientcurrentlypregnant): Der Elementinhalt MUSS einer von 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:text
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:text"
         id="d127e2870-false-d27378e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Patientcurrentlypregnant): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Patientcurrentlypregnant): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d127e2875-false-d27404e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="string(@value)=('#preg')">(Patientcurrentlypregnant): Der Wert von @value MUSS '#preg' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e2881-false-d27422e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="@nullFlavor or (@code='completed')">(Patientcurrentlypregnant): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Patientcurrentlypregnant)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e2886-false-d27442e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Patientcurrentlypregnant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2014-11-01T000000.html"
              test="@nullFlavor or (@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')">(Patientcurrentlypregnant): Der Elementinhalt MUSS einer von 'code '77386006' codeSystem '2.16.840.1.113883.6.96'' sein.</assert>
   </rule>
</pattern>
