<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4020
Name: Status Schwangerschaft
Description: Status Schwangerschaft
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4020-2017-06-04T000000">
   <title>Status Schwangerschaft</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]
Item: (Pregnancystatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]"
         id="d127e2662-false-d26553e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']])&gt;=1">(Pregnancystatus): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']])&lt;=1">(Pregnancystatus): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]
Item: (Pregnancystatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]"
         id="d127e2699-false-d26577e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="string(@classCode)=('OBS')">(Pregnancystatus): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Pregnancystatus): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="string(@moodCode)=('EVN')">(Pregnancystatus): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Pregnancystatus): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4020'])&gt;=1">(Pregnancystatus): Element hl7:templateId[@root='1.2.276.0.76.10.4020'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4020'])&lt;=1">(Pregnancystatus): Element hl7:templateId[@root='1.2.276.0.76.10.4020'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:id)&lt;=1">(Pregnancystatus): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:code[(@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Pregnancystatus): Element hl7:code[(@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:code[(@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Pregnancystatus): Element hl7:code[(@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:text)&lt;=1">(Pregnancystatus): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Pregnancystatus): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Pregnancystatus): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Pregnancystatus): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&gt;=1">(Pregnancystatus): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&lt;=1">(Pregnancystatus): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4255']]])&lt;=1">(Pregnancystatus): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4255']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:templateId[@root='1.2.276.0.76.10.4020']
Item: (Pregnancystatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:templateId[@root='1.2.276.0.76.10.4020']"
         id="d127e2705-false-d26725e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pregnancystatus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4020')">(Pregnancystatus): Der Wert von @root MUSS '1.2.276.0.76.10.4020' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Pregnancystatus): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:id
Item: (Pregnancystatus)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:code[(@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Pregnancystatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:code[(@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2712-false-d26757e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pregnancystatus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="@nullFlavor or (@code='11449-6' and @codeSystem='2.16.840.1.113883.6.1')">(Pregnancystatus): Der Elementinhalt MUSS einer von 'code '11449-6' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:text
Item: (Pregnancystatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:text"
         id="d127e2718-false-d26777e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pregnancystatus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:reference)&gt;=1">(Pregnancystatus): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="count(hl7:reference)&lt;=1">(Pregnancystatus): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:text/hl7:reference
Item: (Pregnancystatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:text/hl7:reference"
         id="d127e2723-false-d26803e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pregnancystatus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Pregnancystatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e2726-false-d26817e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pregnancystatus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="@nullFlavor or (@code='completed')">(Pregnancystatus): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:effectiveTime
Item: (Pregnancystatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:effectiveTime"
         id="d127e2731-false-d26837e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pregnancystatus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="not(*)">(Pregnancystatus): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (Pregnancystatus)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d127e2733-false-d26856e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pregnancystatus): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Pregnancystatus): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.46 Schwangerschafts-Status (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Pregnancystatus): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.46 Schwangerschafts-Status (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4020
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4255']]]
Item: (Pregnancystatus)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4020']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4255']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4020-2017-06-04T000000.html"
              test="string(@typeCode)=('COMP')">(Pregnancystatus): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>
</pattern>
