<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4021
Name: Stillzeit
Description: Mutter stillt momentan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4021-2014-11-01T000000">
   <title>Stillzeit</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]
Item: (Mothercurrentlybreastfeeding)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]"
         id="d127e2998-false-d27718e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="string(@classCode)=('OBS')">(Mothercurrentlybreastfeeding): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(Mothercurrentlybreastfeeding): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4021'])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:templateId[@root='1.2.276.0.76.10.4021'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4021'])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:templateId[@root='1.2.276.0.76.10.4021'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:value[(@code='169750002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:value[(@code='169750002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:value[(@code='169750002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:value[(@code='169750002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:templateId[@root='1.2.276.0.76.10.4021']
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:templateId[@root='1.2.276.0.76.10.4021']"
         id="d127e3004-false-d27802e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4021')">(Mothercurrentlybreastfeeding): Der Wert von @root MUSS '1.2.276.0.76.10.4021' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:id
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:id"
         id="d127e3009-false-d27820e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d127e3011-false-d27834e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(Mothercurrentlybreastfeeding): Der Elementinhalt MUSS einer von 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:text[not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:text[not(@nullFlavor)]"
         id="d127e3017-false-d27854e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d127e3022-false-d27880e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="string(@value)=('#mbf')">(Mothercurrentlybreastfeeding): Der Wert von @value MUSS '#mbf' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e3028-false-d27898e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="@nullFlavor or (@code='completed')">(Mothercurrentlybreastfeeding): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:value[(@code='169750002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:value[(@code='169750002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e3033-false-d27918e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2014-11-01T000000.html"
              test="@nullFlavor or (@code='169750002' and @codeSystem='2.16.840.1.113883.6.96')">(Mothercurrentlybreastfeeding): Der Elementinhalt MUSS einer von 'code '169750002' codeSystem '2.16.840.1.113883.6.96'' sein.</assert>
   </rule>
</pattern>
