<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4021
Name: Stillzeit
Description: Mutter stillt momentan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4021-2016-01-02T000000">
   <title>Stillzeit</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]
Item: (Mothercurrentlybreastfeeding)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]"
         id="d127e2926-false-d27483e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="string(@classCode)=('OBS')">(Mothercurrentlybreastfeeding): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="string(@moodCode)=('EVN')">(Mothercurrentlybreastfeeding): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4021'])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:templateId[@root='1.2.276.0.76.10.4021'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4021'])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:templateId[@root='1.2.276.0.76.10.4021'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:code[(@code='63895-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:code[(@code='63895-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:code[(@code='63895-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:code[(@code='63895-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:templateId[@root='1.2.276.0.76.10.4021']
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:templateId[@root='1.2.276.0.76.10.4021']"
         id="d127e2932-false-d27567e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4021')">(Mothercurrentlybreastfeeding): Der Wert von @root MUSS '1.2.276.0.76.10.4021' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:id
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:id"
         id="d127e2937-false-d27585e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:code[(@code='63895-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:code[(@code='63895-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2939-false-d27599e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="@nullFlavor or (@code='63895-7' and @codeSystem='2.16.840.1.113883.6.1')">(Mothercurrentlybreastfeeding): Der Elementinhalt MUSS einer von 'code '63895-7' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:text[not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:text[not(@nullFlavor)]"
         id="d127e2945-false-d27619e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Mothercurrentlybreastfeeding): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Mothercurrentlybreastfeeding): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d127e2950-false-d27645e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="string(@value)=('#mbf')">(Mothercurrentlybreastfeeding): Der Wert von @value MUSS '#mbf' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e2956-false-d27663e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="@nullFlavor or (@code='completed')">(Mothercurrentlybreastfeeding): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4021
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:value[not(@nullFlavor)]
Item: (Mothercurrentlybreastfeeding)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4021']]/hl7:value[not(@nullFlavor)]"
         id="d127e2961-false-d27683e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4021-2016-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mothercurrentlybreastfeeding): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
</pattern>
