<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4256
Name: Allergie/Unverträglichkeit Concern Act
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4256-2017-06-04T000000">
   <title>Allergie/Unverträglichkeit Concern Act</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]
Item: (Allergyconcernact)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]"
         id="d127e4679-false-d36145e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="string(@classCode)=('ACT')">(Allergyconcernact): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="string(@moodCode)=('EVN')">(Allergyconcernact): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4256'])&gt;=1">(Allergyconcernact): Element hl7:templateId[@root='1.2.276.0.76.10.4256'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4256'])&lt;=1">(Allergyconcernact): Element hl7:templateId[@root='1.2.276.0.76.10.4256'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(Allergyconcernact): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)])&gt;=1">(Allergyconcernact): Element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)])&lt;=1">(Allergyconcernact): Element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:statusCode)&gt;=1">(Allergyconcernact): Element hl7:statusCode ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Allergyconcernact): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Allergyconcernact): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Allergyconcernact): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]])&gt;=1">(Allergyconcernact): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:templateId[@root='1.2.276.0.76.10.4256']
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:templateId[@root='1.2.276.0.76.10.4256']"
         id="d127e4685-false-d36353e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4256')">(Allergyconcernact): Der Wert von @root MUSS '1.2.276.0.76.10.4256' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:id[not(@nullFlavor)]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:id[not(@nullFlavor)]"
         id="d127e4690-false-d36371e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)]"
         id="d127e4692-false-d36385e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(Allergyconcernact): Der Elementinhalt MUSS einer von 'code 'CONC' codeSystem '2.16.840.1.113883.5.6'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:statusCode
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:statusCode"
         id="d127e4698-false-d36405e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e4700-false-d36419e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:low[not(@nullFlavor)])&gt;=1">(Allergyconcernact): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:low[not(@nullFlavor)])&lt;=1">(Allergyconcernact): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="count(hl7:high)&lt;=1">(Allergyconcernact): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]"
         id="d127e4702-false-d36454e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="not(*)">(Allergyconcernact): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (Allergyconcernact)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d127e4704-false-d36471e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyconcernact): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="not(*)">(Allergyconcernact): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4256
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]
Item: (Allergyconcernact)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4256']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4256-2017-06-04T000000.html"
              test="string(@typeCode)=('SUBJ')">(Allergyconcernact): Der Wert von @typeCode MUSS 'SUBJ' sein.</assert>
   </rule>
</pattern>
