<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4257
Name: Allergie/Unverträglichkeit Observation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4257-2017-06-04T000000">
   <title>Allergie/Unverträglichkeit Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]
Item: (Allergyintoleranceobservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]"
         id="d127e4902-false-d36660e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="string(@classCode)=('OBS')">(Allergyintoleranceobservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="string(@moodCode)=('EVN')">(Allergyintoleranceobservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Allergyintoleranceobservation): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="hl7:value[@code] or hl7:participant/hl7:participantRole">(Allergyintoleranceobservation): Wenn das observation/value Element und mit einem Code versehen ist, dann MUSS das observation/participant Element weggelassen werden</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4066'])&gt;=1">(Allergyintoleranceobservation): Element hl7:templateId[@root='1.2.276.0.76.10.4066'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4066'])&lt;=1">(Allergyintoleranceobservation): Element hl7:templateId[@root='1.2.276.0.76.10.4066'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(Allergyintoleranceobservation): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4') or (@code='OINT' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&gt;=1">(Allergyintoleranceobservation): Element hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4') or (@code='OINT' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4') or (@code='OINT' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)])&lt;=1">(Allergyintoleranceobservation): Element hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4') or (@code='OINT' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:statusCode[not(@nullFlavor)])&gt;=1">(Allergyintoleranceobservation): Element hl7:statusCode[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:statusCode[not(@nullFlavor)])&lt;=1">(Allergyintoleranceobservation): Element hl7:statusCode[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(Allergyintoleranceobservation): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Allergyintoleranceobservation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:value)&lt;=1">(Allergyintoleranceobservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:participant)&lt;=1">(Allergyintoleranceobservation): Element hl7:participant kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]])&lt;=1">(Allergyintoleranceobservation): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:templateId[@root='1.2.276.0.76.10.4066']
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:templateId[@root='1.2.276.0.76.10.4066']"
         id="d127e4910-false-d36850e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4066')">(Allergyintoleranceobservation): Der Wert von @root MUSS '1.2.276.0.76.10.4066' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:id[not(@nullFlavor)]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:id[not(@nullFlavor)]"
         id="d127e4915-false-d36868e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4') or (@code='OINT' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:code[(@code='ALG' and @codeSystem='2.16.840.1.113883.5.4') or (@code='OINT' and @codeSystem='2.16.840.1.113883.5.4')][not(@nullFlavor)]"
         id="d127e4918-false-d36882e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="@nullFlavor or (@code='ALG' and @codeSystem='2.16.840.1.113883.5.4') or (@code='OINT' and @codeSystem='2.16.840.1.113883.5.4')">(Allergyintoleranceobservation): Der Elementinhalt MUSS einer von 'code 'ALG' codeSystem '2.16.840.1.113883.5.4' oder code 'OINT' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:statusCode[not(@nullFlavor)]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:statusCode[not(@nullFlavor)]"
         id="d127e4925-false-d36905e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime"
         id="d127e4927-false-d36919e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:low)&lt;=1">(Allergyintoleranceobservation): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:high)&lt;=1">(Allergyintoleranceobservation): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime/hl7:low
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime/hl7:low"
         id="d127e4929-false-d36951e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="not(*)">(Allergyintoleranceobservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime/hl7:high
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:effectiveTime/hl7:high"
         id="d127e4931-false-d36968e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="not(*)">(Allergyintoleranceobservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:value
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:value"
         id="d127e4934-false-d36985e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.12-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Allergyintoleranceobservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.12 Allergien und Unverträglichkeiten (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant"
         id="d127e4942-false-d37010e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="string(@typeCode)=('CSM')">(Allergyintoleranceobservation): Der Wert von @typeCode MUSS 'CSM' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]])&gt;=1">(Allergyintoleranceobservation): Element hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]])&lt;=1">(Allergyintoleranceobservation): Element hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]]"
         id="d127e4946-false-d37036e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="string(@classCode)=('MANU')">(Allergyintoleranceobservation): Der Wert von @classCode MUSS 'MANU' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]])&gt;=1">(Allergyintoleranceobservation): Element hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]])&lt;=1">(Allergyintoleranceobservation): Element hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]]/hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]]/hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]"
         id="d127e4950-false-d37062e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="string(@classCode)=('MMAT')">(Allergyintoleranceobservation): Der Wert von @classCode MUSS 'MMAT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor])&gt;=1">(Allergyintoleranceobservation): Element hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor])&lt;=1">(Allergyintoleranceobservation): Element hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]]/hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]/hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]
Item: (Allergyintoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]]/hl7:playingEntity[hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]]/hl7:code[@codeSystem='2.16.840.1.113883.6.73' or @nullFlavor]"
         id="d127e4954-false-d37088e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergyintoleranceobservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.73')">(Allergyintoleranceobservation): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.6.73'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]
Item: (Allergyintoleranceobservation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="string(@typeCode)=('MFST')">(Allergyintoleranceobservation): Der Wert von @typeCode MUSS 'MFST' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4257
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]
Item: (Allergyintoleranceobservation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4066']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4257-2017-06-04T000000.html"
              test="string(@typeCode)=('SUBJ')">(Allergyintoleranceobservation): Der Wert von @typeCode MUSS 'SUBJ' sein.</assert>
   </rule>
</pattern>
