<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4258
Name: Reaktion/Manifestation
Description: Reaktion/Manifestation der Allergie/Unverträglichkeit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4258-2017-06-04T000000">
   <title>Reaktion/Manifestation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]
Item: (ReactionManifestation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]"
         id="d127e4981-false-d37233e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']])&gt;=1">(ReactionManifestation): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']])&lt;=1">(ReactionManifestation): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]
Item: (ReactionManifestation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]"
         id="d127e4992-false-d37257e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="string(@classCode)=('OBS')">(ReactionManifestation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(ReactionManifestation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="string(@moodCode)=('EVN')">(ReactionManifestation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(ReactionManifestation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4257'])&gt;=1">(ReactionManifestation): Element hl7:templateId[@root='1.2.276.0.76.10.4257'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4257'])&lt;=1">(ReactionManifestation): Element hl7:templateId[@root='1.2.276.0.76.10.4257'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:id)&lt;=1">(ReactionManifestation): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:code[(@code='75326-9' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(ReactionManifestation): Element hl7:code[(@code='75326-9' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:code[(@code='75326-9' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(ReactionManifestation): Element hl7:code[(@code='75326-9' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:text)&lt;=1">(ReactionManifestation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(ReactionManifestation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(ReactionManifestation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ReactionManifestation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:value)&gt;=1">(ReactionManifestation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:value)&lt;=1">(ReactionManifestation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:templateId[@root='1.2.276.0.76.10.4257']
Item: (ReactionManifestation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:templateId[@root='1.2.276.0.76.10.4257']"
         id="d127e4998-false-d37356e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReactionManifestation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4257')">(ReactionManifestation): Der Wert von @root MUSS '1.2.276.0.76.10.4257' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(ReactionManifestation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:id
Item: (ReactionManifestation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:code[(@code='75326-9' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (ReactionManifestation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:code[(@code='75326-9' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d127e5005-false-d37388e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReactionManifestation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="@nullFlavor or (@code='75326-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Problem')">(ReactionManifestation): Der Elementinhalt MUSS einer von 'code '75326-9' codeSystem '2.16.840.1.113883.6.1' displayName='Problem'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:text
Item: (ReactionManifestation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:text"
         id="d127e5011-false-d37408e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReactionManifestation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:reference)&gt;=1">(ReactionManifestation): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="count(hl7:reference)&lt;=1">(ReactionManifestation): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:text/hl7:reference
Item: (ReactionManifestation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:text/hl7:reference"
         id="d127e5016-false-d37434e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReactionManifestation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (ReactionManifestation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e5019-false-d37448e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReactionManifestation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="@nullFlavor or (@code='completed')">(ReactionManifestation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:effectiveTime
Item: (ReactionManifestation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:effectiveTime"
         id="d127e5024-false-d37468e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReactionManifestation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="not(*)">(ReactionManifestation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4258
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:value
Item: (ReactionManifestation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4257']]/hl7:value"
         id="d127e5026-false-d37485e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4258-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReactionManifestation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
</pattern>
