<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4259
Name: Kritikalität
Description: Kritikalität der Allergie/Unverträglichkeit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4259-2017-06-04T000000">
   <title>Kritikalität</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]
Item: (Criticality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]"
         id="d127e5034-false-d37501e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']])&gt;=1">(Criticality): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']])&lt;=1">(Criticality): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]
Item: (Criticality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]"
         id="d127e5045-false-d37525e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="string(@classCode)=('OBS')">(Criticality): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Criticality): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="string(@moodCode)=('EVN')">(Criticality): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Criticality): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4259'])&gt;=1">(Criticality): Element hl7:templateId[@root='1.2.276.0.76.10.4259'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4259'])&lt;=1">(Criticality): Element hl7:templateId[@root='1.2.276.0.76.10.4259'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:id)&lt;=1">(Criticality): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:code[(@code='82606-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(Criticality): Element hl7:code[(@code='82606-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:code[(@code='82606-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(Criticality): Element hl7:code[(@code='82606-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:text)&lt;=1">(Criticality): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Criticality): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Criticality): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Criticality): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20549-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(Criticality): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20549-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20549-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(Criticality): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20549-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:templateId[@root='1.2.276.0.76.10.4259']
Item: (Criticality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:templateId[@root='1.2.276.0.76.10.4259']"
         id="d127e5051-false-d37626e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Criticality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4259')">(Criticality): Der Wert von @root MUSS '1.2.276.0.76.10.4259' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Criticality): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:id
Item: (Criticality)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:code[(@code='82606-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Criticality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:code[(@code='82606-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d127e5058-false-d37658e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Criticality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="@nullFlavor or (@code='82606-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Allergy or intolerance criticality')">(Criticality): Der Elementinhalt MUSS einer von 'code '82606-5' codeSystem '2.16.840.1.113883.6.1' displayName='Allergy or intolerance criticality'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:text
Item: (Criticality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:text"
         id="d127e5064-false-d37678e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Criticality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:reference)&gt;=1">(Criticality): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="count(hl7:reference)&lt;=1">(Criticality): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:text/hl7:reference
Item: (Criticality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:text/hl7:reference"
         id="d127e5069-false-d37704e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Criticality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Criticality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e5072-false-d37718e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Criticality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="@nullFlavor or (@code='completed')">(Criticality): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:effectiveTime
Item: (Criticality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:effectiveTime"
         id="d127e5077-false-d37738e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Criticality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="not(*)">(Criticality): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4259
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20549-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Criticality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4259']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20549-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d127e5079-false-d37757e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Criticality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4259-2017-06-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20549-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Criticality): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.20549 CriticalityObservationValue (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
