<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4260
Name: Consent Directive
Description: Consent Directive / Entry Einverständniserklärung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4260-2017-06-04T000000">
   <title>Consent Directive</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]
Item: (ConsentDirectiveEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]"
         id="d127e5086-false-d37784e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']])&gt;=1">(ConsentDirectiveEntry): Element hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']])&lt;=1">(ConsentDirectiveEntry): Element hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]
Item: (ConsentDirectiveEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]"
         id="d127e5127-false-d37808e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="string(@classCode)=('ACT')">(ConsentDirectiveEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(ConsentDirectiveEntry): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="string(@moodCode)=('DEF')">(ConsentDirectiveEntry): Der Wert von @moodCode MUSS 'DEF' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(ConsentDirectiveEntry): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4260'])&gt;=1">(ConsentDirectiveEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4260'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4260'])&lt;=1">(ConsentDirectiveEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4260'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:id)&lt;=1">(ConsentDirectiveEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20448-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(ConsentDirectiveEntry): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20448-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20448-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(ConsentDirectiveEntry): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20448-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:text)&lt;=1">(ConsentDirectiveEntry): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(ConsentDirectiveEntry): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(ConsentDirectiveEntry): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ConsentDirectiveEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:templateId[@root='1.2.276.0.76.10.4260']
Item: (ConsentDirectiveEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:templateId[@root='1.2.276.0.76.10.4260']"
         id="d127e5133-false-d37906e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4260')">(ConsentDirectiveEntry): Der Wert von @root MUSS '1.2.276.0.76.10.4260' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(ConsentDirectiveEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:id
Item: (ConsentDirectiveEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20448-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (ConsentDirectiveEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20448-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d127e5140-false-d37940e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20448-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ConsentDirectiveEntry): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.20448 PurposeOfUse (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:text
Item: (ConsentDirectiveEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:text"
         id="d127e5146-false-d37965e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:reference)&gt;=1">(ConsentDirectiveEntry): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="count(hl7:reference)&lt;=1">(ConsentDirectiveEntry): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:text/hl7:reference
Item: (ConsentDirectiveEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:text/hl7:reference"
         id="d127e5151-false-d37991e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (ConsentDirectiveEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e5154-false-d38005e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="@nullFlavor or (@code='completed')">(ConsentDirectiveEntry): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:effectiveTime
Item: (ConsentDirectiveEntry)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:effectiveTime"
         id="d127e5159-false-d38025e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.4260-2017-06-04T000000.html"
              test="not(*)">(ConsentDirectiveEntry): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4260
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant
Item: (ConsentDirectiveEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90029
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant
Item: (InformantBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90029-2017-06-04T000000.html"
              test="string(@typeCode)=('INF') or not(@typeCode)">(InformantBody): Der Wert von @typeCode MUSS 'INF' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90029-2017-06-04T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(InformantBody): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90029-2017-06-04T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(InformantBody): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90029-2017-06-04T000000.html"
              test="not(@contextControlCode) or (string-length(@contextControlCode)&gt;0 and not(matches(@contextControlCode,'\s')))">(InformantBody): Attribute @contextControlCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="elmcount" value="count(hl7:assignedEntity|hl7:relatedEntity)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90029-2017-06-04T000000.html"
              test="$elmcount&gt;=1">(InformantBody): Auswahl (hl7:assignedEntity oder hl7:relatedEntity) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90029-2017-06-04T000000.html"
              test="$elmcount&lt;=1">(InformantBody): Auswahl (hl7:assignedEntity oder hl7:relatedEntity) enthält zu viele Elemente [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90029
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity
Item: (InformantBody)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:id)&gt;=1">(AssignedEntityElements): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)])&gt;=1">(AssignedEntityElements): Element hl7:assignedPerson[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)])&lt;=1">(AssignedEntityElements): Element hl7:assignedPerson[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AssignedEntityElements): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:id
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:addr
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:telecom
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson[not(@nullFlavor)]
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90029
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity
Item: (InformantBody)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90020
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity
Item: (RelatedEntityBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="@classCode">(RelatedEntityBody): Attribut @classCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(RelatedEntityBody): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19316-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(RelatedEntityBody): Der Wert von classCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19316' RoleClassMutualRelationship (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="count(hl7:code)&lt;=1">(RelatedEntityBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(RelatedEntityBody): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="count(hl7:relatedPerson)&lt;=1">(RelatedEntityBody): Element hl7:relatedPerson kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90020
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:code
Item: (RelatedEntityBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:code">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedEntityBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(RelatedEntityBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMIC)' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90020
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:addr
Item: (RelatedEntityBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedEntityBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90020
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:telecom
Item: (RelatedEntityBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedEntityBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90020
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:effectiveTime
Item: (RelatedEntityBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:effectiveTime">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RelatedEntityBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90020
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson
Item: (RelatedEntityBody)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(RelatedEntityBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90020-2014-08-25T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(RelatedEntityBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]]/hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4260']]/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
</pattern>
