<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.70001
Name: Ultrakurzformat (BC)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.70001-2016-02-06T000000">
   <title>Ultrakurzformat (BC)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70001
Context: /BC
Item: (UFKBC)
-->

   <rule context="/BC" id="d127e5297-false-d40253e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:BC[not(@nullFlavor)])&gt;=1">(UFKBC): Element ukfc:BC[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:BC[not(@nullFlavor)])&lt;=1">(UFKBC): Element ukfc:BC[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70001
Context: /BC/ukfc:BC[not(@nullFlavor)]
Item: (UFKBC)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]" id="d127e5333-false-d40307e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="@U">(UFKBC): Attribut @U MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="not(@U) or matches(@U,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@U,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@U,'^[A-Za-z][A-Za-z\d\-]*$')">(UFKBC): Attribute @U MUSS vom Datentyp 'uid' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="string(@c)=('56445-0')">(UFKBC): Der Wert von @c MUSS '56445-0' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="not(@c) or (string-length(@c)&gt;0 and not(matches(@c,'\s')))">(UFKBC): Attribute @c MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="not(@t) or matches(string(@t), '^[0-9]{4,14}')">(UFKBC): Attribute @t MUSS vom Datentyp 'ts' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:P[not(@nullFlavor)])&gt;=1">(UFKBC): Element ukfc:P[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:P[not(@nullFlavor)])&lt;=1">(UFKBC): Element ukfc:P[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:A[not(@nullFlavor)])&gt;=1">(UFKBC): Element ukfc:A[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:A[not(@nullFlavor)])&lt;=1">(UFKBC): Element ukfc:A[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:C[not(@nullFlavor)])&gt;=1">(UFKBC): Element ukfc:C[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:C[not(@nullFlavor)])&lt;=1">(UFKBC): Element ukfc:C[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:se[not(@nullFlavor)])&lt;=1">(UFKBC): Element ukfc:se[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:se[not(@nullFlavor)])&lt;=1">(UFKBC): Element ukfc:se[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:se[not(@nullFlavor)])&lt;=1">(UFKBC): Element ukfc:se[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:se[not(@nullFlavor)])&gt;=1">(UFKBC): Element ukfc:se[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:se[not(@nullFlavor)])&lt;=1">(UFKBC): Element ukfc:se[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70001-2016-02-06T000000.html"
              test="count(ukfc:se[not(@nullFlavor)])&lt;=1">(UFKBC): Element ukfc:se[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70006
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:P[not(@nullFlavor)]
Item: (UFKP)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:P[not(@nullFlavor)]"
         id="d40350e50-false-d40484e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="@egk">(UFKP): Attribut @egk MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="not(@egk) or string-length(@egk)&gt;0">(UFKP): Attribute @egk MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="@f">(UFKP): Attribut @f MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="not(@f) or string-length(@f)&gt;0">(UFKP): Attribute @f MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="@g">(UFKP): Attribut @g MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="not(@g) or string-length(@g)&gt;0">(UFKP): Attribute @g MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="@s">(UFKP): Attribut @s MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="not(@s) or (string-length(@s)&gt;0 and not(matches(@s,'\s')))">(UFKP): Attribute @s MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@s),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="not(@s) or count($theAttValue) = count($theAttCheck)">(UFKP): Der Wert von s MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.1' AdministrativeGender (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70006-2016-02-06T000000.html"
              test="@b">(UFKP): Attribut @b MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70007
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:A[not(@nullFlavor)]
Item: (UFKA)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:A[not(@nullFlavor)]"
         id="d40531e33-false-d40541e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="@lanr">(UFKA): Attribut @lanr MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="not(@lanr) or string-length(@lanr)&gt;0">(UFKA): Attribute @lanr MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="@f">(UFKA): Attribut @f MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="not(@f) or string-length(@f)&gt;0">(UFKA): Attribute @f MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="@g">(UFKA): Attribut @g MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="not(@g) or string-length(@g)&gt;0">(UFKA): Attribute @g MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="count(ukfc:ph)&lt;=1">(UFKA): Element ukfc:ph kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="count(ukfc:em)&lt;=1">(UFKA): Element ukfc:em kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="count(ukfc:ad)&lt;=1">(UFKA): Element ukfc:ad kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70007
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:A[not(@nullFlavor)]/ukfc:ph
Item: (UFKA)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:A[not(@nullFlavor)]/ukfc:ph"
         id="d40531e69-false-d40599e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="@v">(UFKA): Attribut @v MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="not(@v) or matches(@v,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@v,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@v,'^[A-Za-z][A-Za-z\d\-]*$')">(UFKA): Attribute @v MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70007
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:A[not(@nullFlavor)]/ukfc:em
Item: (UFKA)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:A[not(@nullFlavor)]/ukfc:em"
         id="d40531e81-false-d40616e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="@v">(UFKA): Attribut @v MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="not(@v) or matches(@v,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@v,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@v,'^[A-Za-z][A-Za-z\d\-]*$')">(UFKA): Attribute @v MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70007
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:A[not(@nullFlavor)]/ukfc:ad
Item: (UFKA)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:A[not(@nullFlavor)]/ukfc:ad"
         id="d40531e93-false-d40633e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="@s">(UFKA): Attribut @s MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="not(@s) or string-length(@s)&gt;0">(UFKA): Attribute @s MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="@o">(UFKA): Attribut @o MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70007-2016-02-06T000000.html"
              test="not(@o) or string-length(@o)&gt;0">(UFKA): Attribute @o MUSS vom Datentyp 'st' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70008
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:C[not(@nullFlavor)]
Item: (UFKC)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:C[not(@nullFlavor)]"
         id="d40648e18-false-d40658e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70008-2016-02-06T000000.html"
              test="@s">(UFKC): Attribut @s MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70008-2016-02-06T000000.html"
              test="not(@s) or string-length(@s)&gt;0">(UFKC): Attribute @s MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70008-2016-02-06T000000.html"
              test="@v">(UFKC): Attribut @v MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70008-2016-02-06T000000.html"
              test="not(@v) or string-length(@v)&gt;0">(UFKC): Attribute @v MUSS vom Datentyp 'st' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70100
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]
Item: (UFKseki)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]"
         id="d40673e18-false-d40685e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70100-2016-02-06T000000.html"
              test="string(@c)=('55752-0')">(UFKseki): Der Wert von @c MUSS '55752-0' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70100-2016-02-06T000000.html"
              test="not(@c) or (string-length(@c)&gt;0 and not(matches(@c,'\s')))">(UFKseki): Attribute @c MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70002
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:O[not(@nullFlavor)]
Item: (UFKO)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:O[not(@nullFlavor)]"
         id="d40696e19-false-d40716e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="@c">(UFKO): Attribut @c MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@c) or (string-length(@c)&gt;0 and not(matches(@c,'\s')))">(UFKO): Attribute @c MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@c),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@c,' ') return if ($code=('3142-7','2160-0','11449-6','63895-7')) then ($code) else ())"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@c) or count($theAttValue) = count($theAttCheck)">(UFKO): Der Wert von c MUSS 'Code 3142-7 oder Code 2160-0 oder Code 11449-6 oder Code 63895-7' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="@v">(UFKO): Attribut @v MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@v) or matches(string(@v), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(UFKO): Attribute @v ist keine gültige real Zahl <value-of select="@v"/>
      </assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="@u">(UFKO): Attribut @u MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@u) or string-length(@u)&gt;0">(UFKO): Attribute @u MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="@k">(UFKO): Attribut @k MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@k) or (string-length(@k)&gt;0 and not(matches(@k,'\s')))">(UFKO): Attribute @k MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70101
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]
Item: (UFKseai)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]"
         id="d40775e31-false-d40787e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70101-2016-02-06T000000.html"
              test="string(@c)=('48765-2')">(UFKseai): Der Wert von @c MUSS '48765-2' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70101-2016-02-06T000000.html"
              test="not(@c) or (string-length(@c)&gt;0 and not(matches(@c,'\s')))">(UFKseai): Attribute @c MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70003
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:AI[not(@nullFlavor)]
Item: (UFKAI)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:AI[not(@nullFlavor)]"
         id="d40798e21-false-d40818e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70003-2016-02-06T000000.html"
              test="@v">(UFKAI): Attribut @v MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70003-2016-02-06T000000.html"
              test="not(@v) or (string-length(@v)&gt;0 and not(matches(@v,'\s')))">(UFKAI): Attribute @v MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@v),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@v,' ') return if ($code=('allergy','intolerance')) then ($code) else ())"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70003-2016-02-06T000000.html"
              test="not(@v) or count($theAttValue) = count($theAttCheck)">(UFKAI): Der Wert von v MUSS 'Code allergy oder Code intolerance' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70003-2016-02-06T000000.html"
              test="@s">(UFKAI): Attribut @s MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70003-2016-02-06T000000.html"
              test="not(@s) or string-length(@s)&gt;0">(UFKAI): Attribute @s MUSS vom Datentyp 'st' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70102
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]
Item: (UFKsehc)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]"
         id="d40849e22-false-d40861e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70102-2016-02-06T000000.html"
              test="string(@c)=('75310-3')">(UFKsehc): Der Wert von @c MUSS '75310-3' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70102-2016-02-06T000000.html"
              test="not(@c) or (string-length(@c)&gt;0 and not(matches(@c,'\s')))">(UFKsehc): Attribute @c MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70002
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:O[not(@nullFlavor)]
Item: (UFKO)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:O[not(@nullFlavor)]"
         id="d40872e19-false-d40892e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="@c">(UFKO): Attribut @c MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@c) or (string-length(@c)&gt;0 and not(matches(@c,'\s')))">(UFKO): Attribute @c MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@c),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@c,' ') return if ($code=('3142-7','2160-0','11449-6','63895-7')) then ($code) else ())"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@c) or count($theAttValue) = count($theAttCheck)">(UFKO): Der Wert von c MUSS 'Code 3142-7 oder Code 2160-0 oder Code 11449-6 oder Code 63895-7' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="@v">(UFKO): Attribut @v MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@v) or matches(string(@v), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(UFKO): Attribute @v ist keine gültige real Zahl <value-of select="@v"/>
      </assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="@u">(UFKO): Attribut @u MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@u) or string-length(@u)&gt;0">(UFKO): Attribute @u MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="@k">(UFKO): Attribut @k MUSS vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70002-2016-02-06T000000.html"
              test="not(@k) or (string-length(@k)&gt;0 and not(matches(@k,'\s')))">(UFKO): Attribute @k MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70103
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]
Item: (UFKsems)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]"
         id="d40951e31-false-d40963e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70103-2016-02-06T000000.html"
              test="string(@c)=('19009-0')">(UFKsems): Der Wert von @c MUSS '19009-0' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70103-2016-02-06T000000.html"
              test="not(@c) or (string-length(@c)&gt;0 and not(matches(@c,'\s')))">(UFKsems): Attribute @c MUSS vom Datentyp 'cs' sein</assert>
      <let name="elmcount"
           value="count(ukfc:M[not(@nullFlavor)]|ukfc:R[not(@nullFlavor)]|ukfc:S[not(@nullFlavor)])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70103-2016-02-06T000000.html"
              test="count(ukfc:M[not(@nullFlavor)])&gt;=1">(UFKsems): Element ukfc:M[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70103-2016-02-06T000000.html"
              test="count(ukfc:M[not(@nullFlavor)])&lt;=1">(UFKsems): Element ukfc:M[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70103-2016-02-06T000000.html"
              test="count(ukfc:R[not(@nullFlavor)])&gt;=1">(UFKsems): Element ukfc:R[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70103-2016-02-06T000000.html"
              test="count(ukfc:R[not(@nullFlavor)])&lt;=1">(UFKsems): Element ukfc:R[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70103-2016-02-06T000000.html"
              test="count(ukfc:S[not(@nullFlavor)])&gt;=1">(UFKsems): Element ukfc:S[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70103-2016-02-06T000000.html"
              test="count(ukfc:S[not(@nullFlavor)])&lt;=1">(UFKsems): Element ukfc:S[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70004
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]
Item: (UFKM)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70004
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:M[not(@nullFlavor)]
Item: (UFKM)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:M[not(@nullFlavor)]"
         id="d40974e32-false-d41061e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@p) or string-length(@p)&gt;0">(UFKM): Attribute @p MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@a) or string-length(@a)&gt;0">(UFKM): Attribute @a MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@w) or string-length(@w)&gt;0">(UFKM): Attribute @w MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@f) or (string-length(@f)&gt;0 and not(matches(@f,'\s')))">(UFKM): Attribute @f MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@f),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.14412-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@f) or count($theAttValue) = count($theAttCheck)">(UFKM): Der Wert von f MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.14412' DispensableDrugForm (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@s) or string-length(@s)&gt;0">(UFKM): Attribute @s MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@u) or string-length(@u)&gt;0">(UFKM): Attribute @u MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@r) or string-length(@r)&gt;0">(UFKM): Attribute @r MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@i) or string-length(@i)&gt;0">(UFKM): Attribute @i MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@t) or string-length(@t)&gt;0">(UFKM): Attribute @t MUSS vom Datentyp 'st' sein</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:M[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:M[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:M[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:M[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70004
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:R[not(@nullFlavor)]
Item: (UFKM)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:R[not(@nullFlavor)]"
         id="d40974e55-false-d41180e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@p) or string-length(@p)&gt;0">(UFKM): Attribute @p MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@a) or string-length(@a)&gt;0">(UFKM): Attribute @a MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@w) or string-length(@w)&gt;0">(UFKM): Attribute @w MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@f) or (string-length(@f)&gt;0 and not(matches(@f,'\s')))">(UFKM): Attribute @f MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@f),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.14412-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@f) or count($theAttValue) = count($theAttCheck)">(UFKM): Der Wert von f MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.14412' DispensableDrugForm (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@s) or string-length(@s)&gt;0">(UFKM): Attribute @s MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@u) or string-length(@u)&gt;0">(UFKM): Attribute @u MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@r) or string-length(@r)&gt;0">(UFKM): Attribute @r MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@i) or string-length(@i)&gt;0">(UFKM): Attribute @i MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@t) or string-length(@t)&gt;0">(UFKM): Attribute @t MUSS vom Datentyp 'st' sein</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:R[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:R[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:R[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:R[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70004
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:S[not(@nullFlavor)]
Item: (UFKM)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:S[not(@nullFlavor)]"
         id="d40974e68-false-d41299e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@p) or string-length(@p)&gt;0">(UFKM): Attribute @p MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@a) or string-length(@a)&gt;0">(UFKM): Attribute @a MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@w) or string-length(@w)&gt;0">(UFKM): Attribute @w MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@f) or (string-length(@f)&gt;0 and not(matches(@f,'\s')))">(UFKM): Attribute @f MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@f),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.14412-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@f) or count($theAttValue) = count($theAttCheck)">(UFKM): Der Wert von f MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.14412' DispensableDrugForm (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@s) or string-length(@s)&gt;0">(UFKM): Attribute @s MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@u) or string-length(@u)&gt;0">(UFKM): Attribute @u MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@r) or string-length(@r)&gt;0">(UFKM): Attribute @r MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@i) or string-length(@i)&gt;0">(UFKM): Attribute @i MUSS vom Datentyp 'st' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="not(@t) or string-length(@t)&gt;0">(UFKM): Attribute @t MUSS vom Datentyp 'st' sein</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70004-2016-02-06T000000.html"
              test="$elmcount&lt;=1">(UFKM): Auswahl () enthält zu viele Elemente [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:S[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:S[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:S[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70005
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/ukfc:S[not(@nullFlavor)]
Item: (UFKMattributes)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.70104
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]
Item: (UFKseinst)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]"
         id="d41409e6-false-d41418e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70104-2016-02-06T000000.html"
              test="string(@c)=('69730-0')">(UFKseinst): Der Wert von @c MUSS '69730-0' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70104-2016-02-06T000000.html"
              test="not(@c) or (string-length(@c)&gt;0 and not(matches(@c,'\s')))">(UFKseinst): Attribute @c MUSS vom Datentyp 'cs' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.70104
Context: /BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/xhtml:div
Item: (UFKseinst)
-->

   <rule context="/BC/ukfc:BC[not(@nullFlavor)]/ukfc:se[not(@nullFlavor)]/xhtml:div"
         id="d41409e26-false-d41441e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/pmp-html-20170811T110843/tmp-1.2.276.0.76.10.70104-2016-02-06T000000.html"
              test="string(@xmlns)=('http://www.w3.org/1999/xhtml')">(UFKseinst): Der Wert von @xmlns MUSS 'http://www.w3.org/1999/xhtml' sein.</assert>
   </rule>
</pattern>
