<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for  - Medikationsplan Plus </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="http://fhir.hl7.de/ukfc" prefix="ukfc"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="http://www.w3.org/1999/xhtml" prefix="xhtml"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario pmpp -->

   <!-- PersonalMedicationListPlus -->
   <include href="include/1.2.276.0.76.10.1024-2017-07-07T000000.sch"/>
   <include href="include/1.2.276.0.76.10.1024-2017-07-07T000000-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- ClinicalInformation -->
   <include href="include/1.2.276.0.76.10.3039-2017-07-01T000000.sch"/>
   <!-- ClinicalInformation -->
   <include href="include/1.2.276.0.76.10.3039-2014-11-01T000000.sch"/>
   <!-- AllergienUnvertraeglichkeiten -->
   <include href="include/1.2.276.0.76.10.3040-2017-06-04T000000.sch"/>
   <!-- AllergienUnvertraeglichkeiten -->
   <include href="include/1.2.276.0.76.10.3040-2012-07-14T000000.sch"/>
   <!-- Medicationcurrent -->
   <include href="include/1.2.276.0.76.10.3041-2017-06-04T000000.sch"/>
   <!-- Medicationcurrent -->
   <include href="include/1.2.276.0.76.10.3041-2014-11-01T000000.sch"/>
   <!-- Instructions -->
   <include href="include/1.2.276.0.76.10.3042-2014-11-01T000000.sch"/>
   <!-- HealthConcernsSection -->
   <include href="include/1.2.276.0.76.10.3043-2015-03-03T000000.sch"/>
   <!-- PrivacyConsentSection -->
   <include href="include/1.2.276.0.76.10.3102-2017-04-30T000000.sch"/>
   <!-- BodyWeight -->
   <include href="include/1.2.276.0.76.10.4016-2014-11-01T000000.sch"/>
   <!-- Creatinine -->
   <include href="include/1.2.276.0.76.10.4017-2014-11-01T000000.sch"/>
   <!-- Allergytosubstance -->
   <include href="include/1.2.276.0.76.10.4018-2016-01-31T000000.sch"/>
   <!-- Allergytosubstance -->
   <include href="include/1.2.276.0.76.10.4018-2014-11-01T000000.sch"/>
   <!-- Propensitytoadversereactions -->
   <include href="include/1.2.276.0.76.10.4019-2016-01-31T000000.sch"/>
   <!-- Propensitytoadversereactions -->
   <include href="include/1.2.276.0.76.10.4019-2014-11-01T000000.sch"/>
   <!-- Pregnancystatus -->
   <include href="include/1.2.276.0.76.10.4020-2017-06-04T000000.sch"/>
   <!-- Mothercurrentlybreastfeeding -->
   <include href="include/1.2.276.0.76.10.4021-2016-01-02T000000.sch"/>
   <!-- MedicationStatement -->
   <include href="include/1.2.276.0.76.10.4022-2017-06-04T000000.sch"/>
   <!-- MedicationStatementSplitDose -->
   <include href="include/1.2.276.0.76.10.4023-2017-06-04T000000.sch"/>
   <!-- MedicationStatementSplitDose -->
   <include href="include/1.2.276.0.76.10.4023-2014-11-01T000000.sch"/>
   <!-- MedicationStatementDoseInstruction -->
   <include href="include/1.2.276.0.76.10.4024-2014-11-01T000000.sch"/>
   <!-- MedicationInformation -->
   <include href="include/1.2.276.0.76.10.4025-2017-06-04T000000.sch"/>
   <!-- PatientInstructions -->
   <include href="include/1.2.276.0.76.10.4026-2014-11-01T000000.sch"/>
   <!-- Reasonformedication -->
   <include href="include/1.2.276.0.76.10.4027-2016-01-31T000000.sch"/>
   <!-- RelatedPrescription -->
   <include href="include/1.2.276.0.76.10.4028-2014-12-21T000000.sch"/>
   <!-- RelatedDispense -->
   <include href="include/1.2.276.0.76.10.4029-2014-12-21T000000.sch"/>
   <!-- ExpectedDeliveryDate -->
   <include href="include/1.2.276.0.76.10.4255-2017-06-04T000000.sch"/>
   <!-- Allergyconcernact -->
   <include href="include/1.2.276.0.76.10.4256-2017-06-04T000000.sch"/>
   <!-- Allergyintoleranceobservation -->
   <include href="include/1.2.276.0.76.10.4257-2017-06-04T000000.sch"/>
   <!-- ReactionManifestation -->
   <include href="include/1.2.276.0.76.10.4258-2017-06-04T000000.sch"/>
   <!-- Criticality -->
   <include href="include/1.2.276.0.76.10.4259-2017-06-04T000000.sch"/>
   <!-- ConsentDirectiveEntry -->
   <include href="include/1.2.276.0.76.10.4260-2017-06-04T000000.sch"/>
   <!-- Medicationstatementlist -->
   <include href="include/1.2.276.0.76.10.4261-2017-07-05T000000.sch"/>
   <!-- BodyHeight -->
   <include href="include/1.2.276.0.76.10.4262-2017-08-01T000000.sch"/>

</schema>
